Skip to content
Start here

Delete a Content Scanning custom expression from a zone.

client.contentScanning.payloads.delete(stringexpressionID, PayloadDeleteParams { zone_id } params, RequestOptionsoptions?): SinglePage<PayloadDeleteResponse { id, payload } >
DELETE/zones/{zone_id}/content-upload-scan/payloads/{expression_id}

Delete the Content Scanning custom expression with the given identifier and return the expressions that remain. Content objects reached only by the deleted expression are no longer scanned.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone WAF WriteAccount WAF Write
ParametersExpand Collapse
expressionID: string

Defines the unique ID for this Content Scanning custom expression.

maxLength32
params: PayloadDeleteParams { zone_id }
zone_id: string

Defines an identifier.

maxLength32
ReturnsExpand Collapse
PayloadDeleteResponse { id, payload }

Defines a Content Scanning custom expression.

id?: string

Defines the unique ID for this Content Scanning custom expression.

maxLength32
payload?: string

Defines the custom content extraction expression used to reach content objects in the request.

Delete a Content Scanning custom expression from a zone.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const payloadDeleteResponse of client.contentScanning.payloads.delete(
  'a350a054caa840c9becd89c3b4f0195b',
  { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' },
)) {
  console.log(payloadDeleteResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}